pipeline:
  build-test:
    image: golang
    commands:
      -  go build
      -  go test

  publish:
    image: plugins/docker
    settings:
      username: realaravinth
      password:
        from_secret: DOCKER_TOKEN
      repo: realaravinth/rageshake
      tags: latest
